﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Proj_DropDown
{
    public partial class Form1 : Form
    {
        private bool modifier = false;
        public Form1()
        {
            InitializeComponent();
            c1FlexGrid1.Cols[1].ComboList = "1|2|3|4";
            c1FlexGrid1.StartEdit += C1FlexGrid1_StartEdit;
            c1FlexGrid1.KeyDown += C1FlexGrid1_KeyDown;
            c1FlexGrid1.KeyUp += C1FlexGrid1_KeyUp;
            c1FlexGrid1.SetupEditor += C1FlexGrid1_SetupEditor;
        }

        //subscribe keydown to capture it when the cell is already in editmode
        private void C1FlexGrid1_SetupEditor(object sender, C1.Win.C1FlexGrid.RowColEventArgs e)
        {
            if (e.Col == 1) {
                Control c = c1FlexGrid1.Editor;
                c.KeyDown += C1FlexGrid1_KeyDown;
                c.KeyUp += C1FlexGrid1_KeyUp;
            }
        }
        
      

        private void C1FlexGrid1_StartEdit(object sender, C1.Win.C1FlexGrid.RowColEventArgs e)
        {
            if (e.Col == 1)
            {
                c1FlexGrid1.Cols[1].ComboList = modifier ? "2|3|4" : "1|2|3|4";
            }
        }

        private void C1FlexGrid1_KeyUp(object sender, KeyEventArgs e)
        {
            modifier = false;
        }

        private void C1FlexGrid1_KeyDown(object sender, KeyEventArgs e)
        {
            if (e.KeyCode == Keys.Menu)
            {
                modifier = true;
            }
        }
       
    }
}
